TCustomNonblockingServerSocket (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class TCustomNonblockingServerSocket

    java.lang.Object
      org.apache.thrift.transport.TServerTransport
          org.apache.thrift.transport.TNonblockingServerTransport
              org.apache.thrift.transport.TNonblockingServerSocket
                  org.apache.cassandra.thrift.TCustomNonblockingServerSocket

    public class TCustomNonblockingServerSocket

extends org.apache.thrift.transport.TNonblockingServerSocket

Constructor Summary
`TCustomNonblockingServerSocket(java.net.InetSocketAddress bindAddr, boolean keepAlive, java.lang.Integer sendBufferSize, java.lang.Integer recvBufferSize)`

Method Summary
`protected org.apache.thrift.transport.TNonblockingSocket` | `acceptImpl()`

Methods inherited from class org.apache.thrift.transport.TNonblockingServerSocket
`close, interrupt, listen, registerSelector`

Methods inherited from class org.apache.thrift.transport.TServerTransport
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCustomNonblockingServerSocket

    public TCustomNonblockingServerSocket(java.net.InetSocketAddress bindAddr,
                                          boolean keepAlive,
                                          java.lang.Integer sendBufferSize,
                                          java.lang.Integer recvBufferSize)
                                   throws org.apache.thrift.transport.TTransportException

Throws:
  `org.apache.thrift.transport.TTransportException`

Method Detail

### acceptImpl

    protected org.apache.thrift.transport.TNonblockingSocket acceptImpl()
                                                                 throws org.apache.thrift.transport.TTransportException

  Overrides:
    `acceptImpl` in class `org.apache.thrift.transport.TNonblockingServerSocket`
  Throws:
    `org.apache.thrift.transport.TTransportException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation